#pragma once

#include "DGenMeas.h"
#include "afxwin.h"

// DAutoProxMeas dialog

class DAutoProxMeas : public DGenMeas
{
public:
	DAutoProxMeas(CWnd* pParent = NULL);   // standard constructor
	virtual ~DAutoProxMeas();

	SAIPAutoMeasProximity samp;

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();

	// simulation
	void SetSimulationDataArray(const VectorArray& simData);

// Dialog Data
	enum { IDD = IDD_DIALOG_PROXIMITY_MEAS };

	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	Vector currXYZ;
	VectorArray simData;
	int simCtr;
	CStatic tipTextCtrl;
};
