// DCALCHECK.cpp : implementation file
//

#include "stdafx.h"
#include "nrkapp.h"
#include "DCALCHECK.h"
#include "rdsapi.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DCALCHECK dialog


DCALCHECK::DCALCHECK(CWnd* pParent /*=NULL*/)
	: CDialog(DCALCHECK::IDD, pParent)
{
	//{{AFX_DATA_INIT(DCALCHECK)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void DCALCHECK::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DCALCHECK)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DCALCHECK, CDialog)
	//{{AFX_MSG_MAP(DCALCHECK)
	ON_BN_CLICKED(IDC_CALBALL, OnCalball)
	ON_BN_CLICKED(IDC_CALPOINT, OnCalpoint)
	ON_BN_CLICKED(IDC_CHECKLENGTH, OnChecklength)
	ON_BN_CLICKED(IDC_CHECKPOINT, OnCheckpoint)
	ON_BN_CLICKED(IDC_MONITOR, OnMonitor)
	ON_BN_CLICKED(IDC_SPECIAL, OnSpecial)
	ON_BN_CLICKED(IDC_CALTUBE, OnCalTube)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DCALCHECK message handlers

void DCALCHECK::OnCalball() 
{
	if(!app.pA->IsRomer())
		return;
	RDS_BallProbeCalibration(m_hWnd );	
}

void DCALCHECK::OnCalpoint() 
{
	if(!app.pA->IsRomer())
		return;
	RDS_PointProbeCalibration(m_hWnd);	
}

void DCALCHECK::OnChecklength() 
{
	if(!app.pA->IsRomer())
		return;
	RDS_ArmCheckoutLength(m_hWnd);	
}

void DCALCHECK::OnCheckpoint() 
{
	if(!app.pA->IsRomer())
		return;
	RDS_ArmCheckoutPoint(m_hWnd);	
}

void DCALCHECK::OnMonitor() 
{
	if(!app.pA->IsRomer())
		return;
	RDS_MonitorArm(m_hWnd);	
}

void DCALCHECK::OnSpecial() 
{
	if(!app.pA->IsRomer())
		return;
	//RDS_EncoderOffsetSettings(m_hWnd);
	RDS_SpecialFunctionsDialog(m_hWnd);	
}

void DCALCHECK::OnCalTube()
{
	if(!app.pA->IsRomer())
		return;
	RDS_TubeProbeCalibration(m_hWnd);
}
