// DCompareResults.cpp : implementation file
//

#include "stdafx.h"
#include "DPCMM.h"
#include "DCompareResults.h"
#include ".\dcompareresults.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DCompareResults dialog


DCompareResults::DCompareResults(CWnd* pParent /*=NULL*/)
	: DGenMeas(DCompareResults::IDD, pParent)
{
	//{{AFX_DATA_INIT(DCompareResults)
	m_Results = _T("");
	//}}AFX_DATA_INIT
}


void DCompareResults::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DCompareResults)
	DDX_Text(pDX, IDC_RESULTS, m_Results);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DCompareResults, DGenMeas)	// 2004.08.29 - NOTE: have to share DGenMeas's message map for button timer, etc.
	//{{AFX_MSG_MAP(DCompareResults)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
	ON_WM_SHOWWINDOW()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	//ON_WM_TIMER()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DCompareResults message handlers

BOOL DCompareResults::Init()
{
	ProcessingAccept = FALSE;
	return DGenMeas::Init();	// fire the meas timer back up for this dlg (Note the MessageMap)
}

void DCompareResults::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CDialog::OnShowWindow(bShow, nStatus);

	if (bShow)
		PersistentWnd::RestoreWndRect(_T("windows"),_T("SA_Arms_DCompareResults"),this);	
}

void DCompareResults::OnDestroy()
{
	PersistentWnd::SaveWndRect(_T("windows"),_T("SA_Arms_DCompareResults"),this);

	CDialog::OnDestroy();
}

void DCompareResults::ProcessAccept()
{
	DGenMeas::OnOK();
}
void DCompareResults::OnBnClickedOk()
{
	ProcessAccept();
}
