#pragma once


// DConeMeas dialog

#include "Resource.h"
#include "DGenMeas.h"
#include "afxwin.h"

class DConeMeas : public DGenMeas
{
public:
	DConeMeas(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	enum { IDD = IDD_DIALOG_CONEMEAS };

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CButton OKButton;
	CButton B2short_button;
	CButton B2long_button;
	CButton B1short_button;
	CButton B1long_button;
	CStatic eval_message;
	CString tip;
	CString sampleinfo;
	CString apexInfo;
	CString axisInfo;
	CString includedAngleInfo;
	CString	Group;
	CString	Target;
	CString maxErrInfo;
	CString rmsErrInfo;
	afx_msg void OnBnClickedButtonOneshort();
	afx_msg void OnBnClickedButtonOnelong();
	afx_msg void OnBnClickedButtonTwoshort();
	afx_msg void OnBnClickedButtonTwolong();

private:
	FitSummary& fs;
	bool validFit;
	bool haveFakeApexForSim;
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedOk();
};
