// DExternalScannerMeas.cpp : implementation file
//

#include "stdafx.h"
#include "DPCMM.h"
#include "DExternalScannerMeas.h"
#include ".\dexternalscannermeas.h"


// DExternalScannerMeas dialog

IMPLEMENT_DYNAMIC(DExternalScannerMeas, CDialog)
DExternalScannerMeas::DExternalScannerMeas(ArmBase& _parent, ModelessDialogTracker& tracker)
: parent(_parent)
, ModelessDialogHelper(tracker, *this)
{
}

DExternalScannerMeas::~DExternalScannerMeas()
{
}

void DExternalScannerMeas::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_STATS_LIST, statsList);
}


BEGIN_MESSAGE_MAP(DExternalScannerMeas, CDialog)
	ON_WM_CLOSE()
END_MESSAGE_MAP()


// DExternalScannerMeas message handlers

void DExternalScannerMeas::OnClose()
{
	if(app.pA->IsKreonScannerArm())
	{
		app.pA->StopScannerMeas();
		return;
	}
	int idx = statsList.AddString(_T(">>CLOSE FROM ARM BUTTON"));
	statsList.SetTopIndex(idx);
}
