// DJtJog.cpp : implementation file
//

#include "stdafx.h"
#include "nrkapp.h"
#include "DPCMMDlg.h"
#include "DPCMM.h"
#include "DJtJog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DJtJog dialog


DJtJog::DJtJog(CWnd* pParent /*=NULL*/)
	: CDialog(DJtJog::IDD, pParent)
{
	//{{AFX_DATA_INIT(DJtJog)
	jt0 = 0.0;
	jt1 = 0.0;
	jt2 = 0.0;
	jt3 = 0.0;
	jt4 = 0.0;
	jt5 = 0.0;
	jt6 = 0.0;
	increment = 0.0;
	//}}AFX_DATA_INIT
}


void DJtJog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DJtJog)
	DDX_Control(pDX, IDC_SPIN6, jt5spin);
	DDX_Control(pDX, IDC_SPIN5, jt4spin);
	DDX_Control(pDX, IDC_SPIN4, jt3spin);
	DDX_Control(pDX, IDC_EDIT_JT6, jt5edit);
	DDX_Control(pDX, IDC_EDIT_JT5, jt4edit);
	DDX_Control(pDX, IDC_EDIT_JT4, jt3edit);
	DDX_Control(pDX, IDC_SPIN7, jt6spin);
	DDX_Control(pDX, IDC_EDIT_JT7, jt6edit);
	DDX_Text(pDX, IDC_EDIT_JT1, jt0);
	DDX_Text(pDX, IDC_EDIT_JT2, jt1);
	DDX_Text(pDX, IDC_EDIT_JT3, jt2);
	DDX_Text(pDX, IDC_EDIT_JT4, jt3);
	DDX_Text(pDX, IDC_EDIT_JT5, jt4);
	DDX_Text(pDX, IDC_EDIT_JT6, jt5);
	DDX_Text(pDX, IDC_EDIT_JT7, jt6);
	DDX_Text(pDX, IDC_EDIT_INC, increment);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DJtJog, CDialog)
	//{{AFX_MSG_MAP(DJtJog)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN1, OnDeltaposSpin1)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN2, OnDeltaposSpin2)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN3, OnDeltaposSpin3)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN4, OnDeltaposSpin4)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN5, OnDeltaposSpin5)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN6, OnDeltaposSpin6)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN7, OnDeltaposSpin7)
	ON_BN_CLICKED(IDC_APPLY, OnApply)
	//}}AFX_MSG_MAP
	ON_WM_SHOWWINDOW()
	ON_WM_DESTROY()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DJtJog message handlers

BOOL DJtJog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	increment = 3.0;

	jt0 = app.pA->J[0];
	jt1 = app.pA->J[1];
	jt2 = app.pA->J[2];
	if( !app.pA->IsSNL() )
	{
		jt3edit.EnableWindow();
		jt3spin.EnableWindow();
		jt4edit.EnableWindow();
		jt4spin.EnableWindow();
		jt5edit.EnableWindow();
		jt5spin.EnableWindow();
		jt3 = app.pA->J[3];
		jt4 = app.pA->J[4];
		jt5 = app.pA->J[5];
	}
	if( app.pA->DOF == 7 )
	{
		jt6edit.EnableWindow();
		jt6spin.EnableWindow();
		jt6 = app.pA->J[6];
	}
	UpdateData(FALSE);

	SetIcon(AfxGetApp()->LoadIcon(IDR_MAINFRAME), FALSE);
	TRANSLATE_DIALOG;

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DJtJog::OnDeltaposSpin1(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt0 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[0] = jt0;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();
	
	*pResult = 0;
}


void DJtJog::OnDeltaposSpin2(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt1 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[1] = jt1;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();
	
	*pResult = 0;
}

void DJtJog::OnDeltaposSpin3(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt2 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[2] = jt2;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();	

	*pResult = 0;
}

void DJtJog::OnDeltaposSpin4(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt3 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[3] = jt3;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();

	*pResult = 0;
}

void DJtJog::OnDeltaposSpin5(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt4 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[4] = jt4;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();

	*pResult = 0;
}

void DJtJog::OnDeltaposSpin6(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt5 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[5] = jt5;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();

	*pResult = 0;
}

void DJtJog::OnDeltaposSpin7(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;

	UpdateData(TRUE);
	jt6 -= increment * (double)pNMUpDown->iDelta;
	app.pA->J.x[6] = jt6;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();

	*pResult = 0;
}

void DJtJog::OnApply() 
{
	UpdateData(TRUE);
	app.pA->J.x[0] = jt0;
	app.pA->J.x[1] = jt1;
	app.pA->J.x[2] = jt2;
	app.pA->J.x[3] = jt3;
	app.pA->J.x[4] = jt4;
	app.pA->J.x[5] = jt5;
	if( app.pA->DOF == 7 )
		app.pA->J.x[6] = jt6;
	UpdateData(FALSE);
	app.pA->UpdateToSpan();
}

void DJtJog::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CDialog::OnShowWindow(bShow, nStatus);

	if (bShow)
		PersistentWnd::RestoreWndRect(_T("windows"),_T("SA_Arms_DJtJog"),this);	
}

void DJtJog::OnDestroy()
{
	PersistentWnd::SaveWndRect(_T("windows"),_T("SA_Arms_DJtJog"),this);

	CDialog::OnDestroy();
}