#pragma once
#include "afxwin.h"


// DSerialPortSettings dialog

class DSerialPortSettings : public CDialog
{
	DECLARE_DYNAMIC(DSerialPortSettings)

public:
	DSerialPortSettings(const int& carm_type); 
	virtual ~DSerialPortSettings();

// Dialog Data
	enum { IDD = IDD_SERIAL_PORT_PARAMS };

	CComboBox comctrl;
	CComboBox baudctrl;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
private:
	const int& arm_type;
public:
	afx_msg void OnDestroy();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	CStatic baudLabel;
	virtual BOOL OnInitDialog();
	int m_CommPort;
	int CommBaud;
	CStatic faro_comparam_label;
	CComboBox faro_com_param_combo;
	int faro_com_param_comboval;
};
