#pragma once


// DSimScannerMeas dialog

class DSimScannerMeas : public CDialog
{
	DECLARE_DYNAMIC(DSimScannerMeas)

public:
	DSimScannerMeas(CWnd* pParent = NULL);   // standard constructor
	virtual ~DSimScannerMeas();

	void SimulateScan();

// Dialog Data
	enum { IDD = IDD_DIALOG_SIM_SCANNER_MEAS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedDefault();
	afx_msg void OnBnClickedButtonStartSs();
	afx_msg void OnBnClickedButtonStopSs();

private:
	CriticalSectionWrapper& scannerCS;
	bool simScanning;
	bool stopSimScanning;
public:
	int ptsPerLine;
	int ptsPerLineVariation;
	int linesPerSecond;
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	afx_msg void OnBnClickedOk();
};
