#if !defined(AFX_DSPHEREMEAS_H__FA32FAA2_4201_4984_9B6A_1B795C983D6E__INCLUDED_)
#define AFX_DSPHEREMEAS_H__FA32FAA2_4201_4984_9B6A_1B795C983D6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DSphereMeas.h : header file
//
#include "Resource.h"
#include "DGenMeas.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// DSphereMeas dialog

class DSphereMeas : public DGenMeas
{
// Construction
public:
	DSphereMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

// Dialog Data
	//{{AFX_DATA(DSphereMeas)
	enum { IDD = IDD_DIALOG_SPHEREMEAS };
	CButton	OKButton;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CString	Group;
	CString	Target;
	CString	tip;
	CString	centerinfo;
	CString	radinfo;
	CString	sampleinfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DSphereMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DSphereMeas)
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnDefault();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CStatic eval_message;
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSPHEREMEAS_H__FA32FAA2_4201_4984_9B6A_1B795C983D6E__INCLUDED_)
