// DVoxelDefaultSettings.cpp : implementation file
//

#include "stdafx.h"
#include "DPCMM.h"
#include "DVoxelDefaultSettings.h"
#include "DVoxelSettings.h"

// DVoxelDefaultSettings dialog

IMPLEMENT_DYNAMIC(DVoxelDefaultSettings, CDialog)

DVoxelDefaultSettings::DVoxelDefaultSettings(DVoxelSettings& _parent)
: parent(_parent)
{

}

DVoxelDefaultSettings::~DVoxelDefaultSettings()
{
}

void DVoxelDefaultSettings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(DVoxelDefaultSettings, CDialog)
	ON_BN_CLICKED(IDC_RADIO_VOX_DENSITY_HIGH, &DVoxelDefaultSettings::OnBnClickedRadioVoxDensityHigh)
	ON_BN_CLICKED(IDC_IDC_RADIO_VOX_DENSITY_MEDIUM, &DVoxelDefaultSettings::OnBnClickedIdcRadioVoxDensityMedium)
	ON_BN_CLICKED(IDC_IDC_RADIO_VOX_DENSITY_LOW, &DVoxelDefaultSettings::OnBnClickedIdcRadioVoxDensityLow)
END_MESSAGE_MAP()


// DVoxelDefaultSettings message handlers

BOOL DVoxelDefaultSettings::OnInitDialog()
{
	CDialog::OnInitDialog();

	TRANSLATE_DIALOG;

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void DVoxelDefaultSettings::OnBnClickedRadioVoxDensityHigh()
{
	parent.SetValues(0.15, 3, 150000);
}

void DVoxelDefaultSettings::OnBnClickedIdcRadioVoxDensityMedium()
{
	parent.SetValues(0.15, 3, 15000);
}

void DVoxelDefaultSettings::OnBnClickedIdcRadioVoxDensityLow()
{
	parent.SetValues(0.15, 3, 5000);
}
