#pragma once
#include "afxwin.h"


// DVoxelSettings dialog

class DVoxelSettings : public CDialog
{
	DECLARE_DYNAMIC(DVoxelSettings)

public:
	DVoxelSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~DVoxelSettings();

// Dialog Data
	enum { IDD = IDD_VOXEL_SETTINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedCheckEnableVoxelization();
	BOOL voxEnabled;
	CEdit voxelSizeEditBox;
	CEdit ptsPerVoxelEditBox;
	CEdit numCloudPtsPerVoxelizationEditBox;
	double voxelSize;
	int minPtsPerVoxel;
	int numPtsPerVoxelization;
	afx_msg void OnBnClickedButtonSetDefaults();
	CString voxelSizeUnitsVal;
	void SetValues(double voxSize, int minPtsPerVoxel, int minPtsPerVoxelization);
	CButton defaultsButton;
};
