
/**************************************************************************
**
** (c) Copyright 1997, FARO Technologies, Inc.  All rights reserved.
**
**
** ==========================================================================
**
** FILE: Example.h
**
** AUTHOR: FARO Technologies
**
** CREATION DATE: 12/12/97
**
** DESCRIPTION: An example program demonstrating how to pole a FaroArm for
**				XYZABC, button, and error information.
**
**
** NOTES:
**
**
** MODIFICATIONS:
**
**
**
****************************************************************************/

#include "Cmmfaro.h"

//CONSTANTS
#define FRONT_BUTTON 0
#define BACK_BUTTON  1

#define M_PI 3.14159265358979323846

//GLOBAL VARIABLES
HINSTANCE hGlobalInst;
HINSTANCE hCommLib;
BOOL bOnLine;
BOOL (*CmmSpecific)(VOID *);

struct PositionUpdate PosUpdate; //this must never go out of scope, its address gets passed to the DLL
struct PositionUpdate theGlobalPositionUpdate;
char sExecutionDirectory[128];

//FUNCTION PROTOTYPES
BOOL SetupConnection(HANDLE);
LRESULT CALLBACK MenuWndProc (HWND, UINT, WPARAM, LPARAM);
BOOL SetupConnection(HANDLE);
HANDLE OpenCommunications(unsigned);
INT ReadCommBlock(HANDLE, char *, unsigned, DWORD);
DWORD WriteCommBlock(HANDLE, char *);
BOOL GetPositionUpdate(HANDLE, struct PositionUpdate *);
BOOL CALLBACK PositionUpdateDlg(HWND, unsigned, WORD, LONG);
BOOL CALLBACK InfoDialog(HWND, unsigned, WORD, LONG);
BOOL FalseSpecific(void *);
void CallHelp(void);