// C:\_Bruce\@Projects\PCMM Arms\FaroUSB\DPickFaroUSB.cpp : implementation file
//

#include "stdafx.h"
#include "../DPCMM.h"
#include "DPickFaroUSB.h"


// DPickFaroUSB dialog

IMPLEMENT_DYNAMIC(DPickFaroUSB, CDialog)

DPickFaroUSB::DPickFaroUSB(const CStringArray& _sns)
{
	sns.Append(_sns);
}

DPickFaroUSB::~DPickFaroUSB()
{
}

void DPickFaroUSB::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_FARO_USB_SN_LIST, snList);
}


BEGIN_MESSAGE_MAP(DPickFaroUSB, CDialog)
	ON_BN_CLICKED(IDOK, &DPickFaroUSB::OnBnClickedOk)
END_MESSAGE_MAP()


// DPickFaroUSB message handlers

BOOL DPickFaroUSB::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(AfxGetApp()->LoadIcon(IDR_MAINFRAME), FALSE);
	TRANSLATE_DIALOG;

	for(INT_PTR i=0; i<sns.GetSize(); i++)
		snList.AddString(sns.GetAt(i));

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void DPickFaroUSB::OnBnClickedOk()
{
	if(snList.GetCurSel() < 0 || snList.GetCurSel() > sns.GetUpperBound())
	{
		AfxMessageBox(_T("Select an Arm"), MB_ICONERROR);
		return;
	}
	selectedSN = sns.GetAt(snList.GetCurSel());
	OnOK();
}
