#pragma once
#include "afxwin.h"


// DTrackArm dialog

class TrackArmInterface;

class DTrackArm : public CDialog
{
	DECLARE_DYNAMIC(DTrackArm)

public:
	DTrackArm(CWnd* pParent = NULL);   // standard constructor
	virtual ~DTrackArm();

// Dialog Data
	enum { IDD = IDD_TRACKARM };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CButton connectButton;
	CButton locateButton;
	CButton trackerButton;
	afx_msg void OnBnClickedButtonConnect();
	afx_msg void OnBnClickedButtonLocate();
	afx_msg void OnBnClickedButtonTrackerControl();
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();

private:
	// TrackArm
	TrackArmInterface& trackArm;
	bool TurnTrackArmOn();
	bool TurnTrackArmOff();
	
public:
	CButton selectTrackerButton;
	afx_msg void OnBnClickedButtonSelectTrackarmTracker();
	BOOL makeCopyOfArm;
};
