// FitLine.h: interface for the FitLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FITLINE_H__10BCAFB3_596B_4431_934A_3443A114CA52__INCLUDED_)
#define AFX_FITLINE_H__10BCAFB3_596B_4431_934A_3443A114CA52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



class FitLine : public CObject  
{
public:
	Vector Begin;
	Vector Normal;
	double Theta, Phi;
	Vector A,B;		// results.

	VectorArray* pPoints;
	OptimizationParameters *pOpt;	// SET THIS - points to the optimization control structure.

	CStringArray Resid;

	VectorArray LocPoints;		// points shifted by the average point.  Eliminates moment arm problem.
	Vector LocCenter;				// average used to make locpoints.
	
	FitLine();
	Vector& PtA( int i)
		{  return *LocPoints.P[i]; }
	virtual BOOL Calculate();
	void Evaluate(double* r);

	double maxgdist;

};

#endif // !defined(AFX_FITLINE_H__10BCAFB3_596B_4431_934A_3443A114CA52__INCLUDED_)
