// GeomCoverage class
// used to determine percent coverage for reports in geometry fits
#if !defined(GEOMCOVERAGE)
#define GEOMCOVERAGE

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Sphere.h"

class GeomCoveragePCMM : public CObject
{
public:
	GeomCoveragePCMM();
	~GeomCoveragePCMM();

	Sphere sphere;
	double GetSpherePercent(Vector &center, double radius, VectorArray *measured);
	void GetPtInTriangle(Vector &pt, Vector *ptintr);

protected:

};

/////////////////////////////////////////////////////////////////////////////
#endif // !defined(GEOMCOVERAGE)