#pragma once
#include "ieBox.h"
#include "afxwin.h"
#include "../resource.h"

#define HD_INITTIMER	WM_USER + 1

// HTMLHelpDlg dialog

#include "RolloverButton.h"

class HTMLHelpDlg : public CDialog
{
	DECLARE_DYNAMIC(HTMLHelpDlg)

public:
	HTMLHelpDlg(CString _title=_T(""), CString _initialPage=_T(""), CWnd* pParent = NULL);   // standard constructor
	virtual ~HTMLHelpDlg();

// Dialog Data
	enum { IDD = IDD_HTML_PAGE_VIEWER };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CExplorer1 ieBox;
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedButtonBack();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonForward();
	afx_msg void OnBnClickedButtonPrint();
	//CRolloverButton backButton;
	//CRolloverButton nextButton;
	//CRolloverButton stopButton;
	//CRolloverButton printButton;
	CButton backButton;
	CButton nextButton;
	CButton stopButton;
	CButton printButton;

private:
	CString title;
	CString initialPage;
	void showPage(const CString& fileName);
};
