// JtPak.h
// for the Faro's
//////////////////////////////////////////////////////////////////////

#if !defined(JTPAK_H__INCLUDED_)
#define JTPAK_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

	typedef union 
	{
		char Raw[211];
		struct
		{
			char U[1];
			char Error[7];
			char X[11];
			char Y[11];
			char Z[11];
			char J0[11];
			char J1[11];
			char J2[11];
			char J3[11];
			char J4[11];
			char J5[11];
			char J6[11];	// 2001.04.12 for 7 dof arms
			char Temp[11];
			char Other[11];
		}Opacket;
	}JointPacket;

	typedef union
	{
		char Raw[100];
		struct
		{
			char Error[7];
			char X[11];
			char Y[11];
			char Z[11];
			char A[11];
			char B[11];
			char C[11];
		}Ppacket;
	}IJKPacket;

#endif // !defined(JTPAK_H__INCLUDED_)