#pragma once
#include "afx.h"

class ModelInfo :
	public CObject
{
public:
	ModelInfo(DWORD_PTR _bufferSize);
	virtual ~ModelInfo(void);

	bool CheckUpdate(const JointOffsetCalItem& data);
	void GetPoints(const SAIPJointOffsetData& jOffsetData, VectorArray& pts);
	void ModelInfoUpdateToSpan();
	void ClearInfo();

private:
	DWORD_PTR bufferSize;
	double minCheckDelta;
	Vector lastCheckedPos;
	SAIPJointOffsetData& offsetData;
};
