// RemoteDialog.cpp : implementation file
//

#include "stdafx.h"
#include "RemoteDialog.h"
#include "RemoteUIManager.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoteDialog dialog


CRemoteDialog::CRemoteDialog(CRemoteUIManager* pRemUIMgr, UINT nIDD, CWnd* pParent /*=NULL*/)
	: CDialog(nIDD, pParent),
	m_pRemUIMgr(pRemUIMgr)
{
	//{{AFX_DATA_INIT(CRemoteDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CRemoteDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemoteDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRemoteDialog, CDialog)
	//{{AFX_MSG_MAP(CRemoteDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
	ON_COMMAND_RANGE(1000, 1999, OnCommandHandler)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoteDialog message handlers

void CRemoteDialog::OnCommandHandler(UINT m )
{
	TRACE1("Message %d\n",m);
	WPARAM wParam = 0;
	LPARAM lParam = 0;
	m_pRemUIMgr->ForwardCommand( wParam, lParam );
}


// ////////////////////////////////////////////////////////
//
// PreTranslateMessage
//
BOOL CRemoteDialog::PreTranslateMessage(MSG* pMsg) 
{
	if ( pMsg->message == WM_KEYUP) {
		if ( m_pRemUIMgr ) {
			switch ( pMsg->wParam ) {
			case 195:					// 'Q' button on IPAQ
			case 196:					// 'QStart' button on IPAQ
			case VK_LEFT:
			case VK_RIGHT:
			case VK_UP:
			case VK_DOWN:
				m_pRemUIMgr->ForwardCommand( pMsg->wParam, pMsg->lParam );
				return TRUE;		// don't forward these on ...
			}
		}
	}

	return CDialog::PreTranslateMessage(pMsg);
}
