// SocketManager.h: interface for the SocketManagerPDA class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SOCKETMANAGER_H__EDE294AB_A6E5_488D_9CCF_FCB34D7F7159__INCLUDED_)
#define AFX_SOCKETMANAGER_H__EDE294AB_A6E5_488D_9CCF_FCB34D7F7159__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WM_REMOTEMESSAGE  WM_USER + 1
#define WM_REMOTECONNECT  WM_USER + 2

class CListenSocket;
class CDataSocket;

class SocketManagerPDA : public CObject  
{
	friend CListenSocket;
	friend CDataSocket;

public:
	BOOL IsConnected;  // jmc

	bool CloseDataConnection();
	void SetConsumer( CWnd* pWnd );
	CObject* GetNextMessage();
	bool SendMessages();
	bool AddMessageToQueue( CObject* pMessage );
	bool Connect( CString strAddress, int nPort );
	bool Listen( int nPort );
	SocketManagerPDA();
	virtual ~SocketManagerPDA();

private:
	CWnd* m_pWndConsumer;
	CPtrList m_lstOutgoingMessages;
	CPtrList m_lstIncomingMessages;
	CDataSocket* m_pDataSocket;
	CListenSocket* m_pListenSocket;

protected:
	void ReceiveMessages();
	bool SendMessage( CObArray& arObjects );
	void AcceptConnection();
};

#endif // !defined(AFX_SOCKETMANAGER_H__EDE294AB_A6E5_488D_9CCF_FCB34D7F7159__INCLUDED_)
