#pragma once
#include "easypadwrapper.h"

class EasyPadArmInterface :
	public EasyPadWrapper
{
public:
	EasyPadArmInterface(void);
	virtual ~EasyPadArmInterface(void);

	#define UPPERPADMODE	16

	// Outputs
	virtual void OnEnterPadWorkingZone();
	virtual void OnEnterPadHotZone();
	virtual void OnExitPadZone();
	virtual void OnEnterButtonZone(DWORD_PTR buttonIdx);
	virtual void OnExitButtonZone(DWORD_PTR buttonIdx);
	virtual void OnPadButtonHit(DWORD_PTR buttonIdx);
	virtual void SetAllButtonZonesDead();	// to un-hilight all buttons if UI is showing

	virtual void Serialize(CArchive& ar);
protected:
	DECLARE_SERIAL( EasyPadArmInterface );
};
