#pragma once

class PadCalPoint :
	public Vector
{
public:
	PadCalPoint(void);
	PadCalPoint(const PadCalPoint& source);
	PadCalPoint(const Vector& sourceVec, const double& _instPlanarOffset);
	void operator=(const PadCalPoint& source);
	virtual ~PadCalPoint(void);

	double instPlanarOffset;

	CPoint padLoc;

	virtual void Serialize(CArchive& ar);
protected:
	DECLARE_SERIAL( PadCalPoint );
};
