#pragma once
#include "afx.h"

// everything is inches and degrees

class PadRegion :
	public CObject
{
public:
	PadRegion(void);
	PadRegion(const PadRegion& source);
	void operator=(const PadRegion& source);
	virtual ~PadRegion(void);

	void SetHeights(const double& _workingHeight, const double& _hotHeight);

	virtual bool PointInRegion(const Vector& xyz);

	// attributes
	double workingHeight;
	double hotHeight;

	// state
	bool inWorkingZone;
	bool inHotZone;
};
