// SNLArm.h: interface for the SNLArm class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SNLARM_H__7CF25BDD_9C9E_4FFE_84DA_A87E46EA8ADC__INCLUDED_)
#define AFX_SNLARM_H__7CF25BDD_9C9E_4FFE_84DA_A87E46EA8ADC__INCLUDED_
#include "stdafx.h"
#include "GAlil/dmcwin.h"
#include "GAlil/VDCPos.h"
//#include "SandiaArm.h"
//#include "SandiaArmDlg.h"
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <stdio.h>
#include <afxdisp.h>
#include "ArmBase.h"

const unsigned short nController = 1;

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class SNLArm : public ArmBase 
{
protected:
	VDCPosition VDCCurPos;
	CDMCWin m_DMCWin;
	
public:
	SNLArm();
	virtual ~SNLArm();

	virtual BOOL IsRomer();
	virtual BOOL IsFaro();
	virtual BOOL IsFaroUSB();
	virtual BOOL IsFrenchRomer();
	virtual BOOL IsSNL();
	virtual BOOL IsMetrisGarda();

	virtual bool ConnectToArm(const int dof);
	virtual bool PopCommSettingsDlg();
	virtual BOOL GetAllData();
};

#endif // !defined(AFX_SNLARM_H__7CF25BDD_9C9E_4FFE_84DA_A87E46EA8ADC__INCLUDED_)
