// API_Baces_FcnDeclarations.h - blt 2009.04.07
// Baces comes with a dll only.  Here we add the declarations so as not to clutter our arm class...
// Note the calling convention... we get buffer overruns if we declare with __cdecl
// Here is the VS error report that resulted:
// *****************
// Run-Time Check Failure #0 - The value of ESP was not properly saved across a function call.  
// This is usually a result of calling a function declared with one calling convention with a 
// function pointer declared with a different calling convention.
// *****************
// Found this by changing the 'Configuration Properties >> C/C++ >> Advanced >> Calling Convention'
// compiler option to '__stdcall (/Gz)', and everything worked, so instead of changing the calling
// convention for the entire solution, we simply adjust it manually in our declarations....

typedef int (__stdcall* tOpenCommPortAddr)(char com[5]);
typedef int (__stdcall* tCloseCommPortAddr)();
typedef int (__stdcall* tReadParamFileAddr)(char* path);
typedef int (__stdcall* tResetEncodersAddr)();
typedef int (__stdcall* tReadPositionAndButtonStatesAddr)(double quota[4][4], int* pulsanti);
typedef int (__stdcall* tReadPositionAndButtonStatesAndProbeDiameterAddr)(double quota[4][4], int* pulsanti, double* stilo);	// they added this one with Baces.dll v.4.4.0.1
typedef int (__stdcall* tReadJointAnglesAddr) (int unit, double param[10]);
typedef int (__stdcall* tReadJointAngles2Addr) (int unit, int* nAssi, double* angoli, double* lengths, int* modes);	// new with Baces v.4.4.0.2 (upgrading to v.4.4.1.4 at time of this addition)
