// C:\_Bruce\@Projects\PCMM Arms\API_Baces\DAPI_Baces_Startup_Settings.cpp : implementation file
//

#include "stdafx.h"
#include "../DPCMM.h"
#include "DAPI_Baces_Startup_Settings.h"


// DAPI_Baces_Startup_Settings dialog

IMPLEMENT_DYNAMIC(DAPI_Baces_Startup_Settings, CDialog)

DAPI_Baces_Startup_Settings::DAPI_Baces_Startup_Settings(CWnd* pParent /*=NULL*/)
	: CDialog(DAPI_Baces_Startup_Settings::IDD, pParent)
	, port(0)
	, paramPath(_T(""))
{

}

DAPI_Baces_Startup_Settings::~DAPI_Baces_Startup_Settings()
{
}

void DAPI_Baces_Startup_Settings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_CBIndex(pDX, IDC_COMBO_BACES_PORT, port);
	DDX_Text(pDX, IDC_EDIT_APIBACES_PARAM_FILE_PATH, paramPath);
}


BEGIN_MESSAGE_MAP(DAPI_Baces_Startup_Settings, CDialog)
	ON_BN_CLICKED(IDC_BUTTON_SELECT_APIBACES_PARAM_FILE, &DAPI_Baces_Startup_Settings::OnBnClickedButtonSelectApibacesParamFile)
END_MESSAGE_MAP()


// DAPI_Baces_Startup_Settings message handlers

void DAPI_Baces_Startup_Settings::OnBnClickedButtonSelectApibacesParamFile()
{
	UpdateData();

	// Prompt user for parameter file
	static TCHAR BASED_CODE Filter[]=
		_T("Axxis Parameter File (*.tab)|*.tab|");
	CFileDialog where(TRUE,_T("tab"),_T("*.tab"),OFN_ENABLESIZING,Filter,NULL);// create an instance of dialog 

	where.m_ofn.lpstrInitialDir = paramPath;
	CString t;
	t.Format(_T("%s"),Tr("Select Parameter File"));
	where.m_ofn.lpstrTitle = t;
	int result = where.DoModal();       // pop it up.  and get the path name. 

	if (result != IDOK || where.GetPathName().IsEmpty())
		return;

	paramPath = where.GetPathName();
	UpdateData(FALSE);
}
