#pragma once

class ArmPoint :
	public Vector
{
public:
	ArmPoint(void);
	ArmPoint(const ArmPoint& aPt);
	ArmPoint(const Vector& pt, const Vector& norm, const GenVec& jts);
	virtual ~ArmPoint(void);

	virtual void operator=(const ArmPoint& r);	

	GenVec Joints;
	Vector Normal;

	Vector GetPoint();

	void Serialize(CArchive& ar);	
	void Debug();	

protected:

	DECLARE_SERIAL( ArmPoint );
};
