#pragma once

// DFrameDrive dialog

class ArticulatedArmWrapper;

class DFrameDrive : public CDialog
{
	DECLARE_DYNAMIC(DFrameDrive)

public:
	DFrameDrive(ArticulatedArmWrapper& _parent); 
	virtual ~DFrameDrive();

// Dialog Data
	enum { IDD = IDD_FRAME_DRIVE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	ArticulatedArmWrapper& parent;
public:
	double posX;
	double posY;
	double posZ;
	double rotX;
	double rotY;
	double rotZ;
	double posInc;
	double rotInc;
	afx_msg void OnDeltaposSpinX(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinY(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinZ(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinRx(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinRy(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinRz(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonReset();
	afx_msg void OnBnClickedButtonRead();
	afx_msg void OnBnClickedButtonWrite();
	afx_msg void OnBnClickedButtonFrameToSa();
	afx_msg void OnBnClickedButtonDefault();
	afx_msg void OnBnClickedButtonApply();
	virtual BOOL OnInitDialog();
};
