#pragma once

class ArticulatedArmWrapper;

// DJointDrive dialog

class DJointDrive : public CDialog
{
	DECLARE_DYNAMIC(DJointDrive)

public:
	DJointDrive(ArticulatedArmWrapper& _parent);
	virtual ~DJointDrive();

	void GetValuesAndMakeGenVec(GenVec& jts);
	void SetValuesFromGenVec(const GenVec& jts);
	void GetValuesAndmakeCommaDelimitedString(CString& jts);

// Dialog Data
	enum { IDD = IDD_JT_DRIVE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	ArticulatedArmWrapper& parent;
public:
	double jt1;
	double jt2;
	double jt3;
	double jt4;
	double jt5;
	double jt6;
	double jt7;
	double jt_inc;
	afx_msg void OnBnClickedButtonDefault();
	afx_msg void OnBnClickedButtonApplyInc();
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButtonRead();
	afx_msg void OnBnClickedButtonWrite();
	afx_msg void OnDeltaposSpin1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin3(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin4(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin5(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin6(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin7(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButtonSaveJts();
	afx_msg void OnBnClickedButtonManageJtSets();
};
