#pragma once
#include "afxwin.h"

class RomerArm;

#define CLOSE_SCAN_DLG (WM_APP + 4)
#define UPDATE_SCAN_DLG (WM_APP + 5)
#define SEND_BUFFERED_DATA_AND_RECONNECT	(WM_APP + 6)

class CimCoreWindowsMessenger :
	public CWnd
{
	DECLARE_DYNAMIC(CimCoreWindowsMessenger)

public:
	CimCoreWindowsMessenger(RomerArm* _owner);
	virtual ~CimCoreWindowsMessenger(void);

	bool MakeValidWindow();		// call once to initialize the window for message handling.
	bool windowValid;

protected:
	DECLARE_MESSAGE_MAP()
	RomerArm& owner;
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
};
