#if !defined(AFX_DCIRCLEMEAS_H__629DF384_2477_4E3C_981C_5EAE521AC6C6__INCLUDED_)
#define AFX_DCIRCLEMEAS_H__629DF384_2477_4E3C_981C_5EAE521AC6C6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DCircleMeas.h : header file
//

#include "DGenMeas.h"
#include "CircleObj.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// DCircleMeas dialog

class DCircleMeas : public DGenMeas
{
// Construction
public:
	DCircleMeas(CWnd* pParent = NULL);   // standard constructor

	CircleObj Circle;

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();
	CString TipText;

	// simulation mode
	virtual BOOL MakeFakeData(int step);

// Dialog Data
	//{{AFX_DATA(DCircleMeas)
	enum { IDD = IDD_DIALOG_CIRCLEMEAS };
	CButton	OKButton;
	CEdit	TargCtrl;
	CEdit	GroupCtrl;
	CStatic	Tip;
	CStatic	Samples;
	CStatic	RMSErr;
	CStatic	Radius;
	CStatic	Normal;
	CStatic	MaxErr;
	CStatic	Center;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CString	Group;
	int		inoutface;
	CString	Target;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DCircleMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DCircleMeas)
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CStatic eval_message;
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedOk();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DCIRCLEMEAS_H__629DF384_2477_4E3C_981C_5EAE521AC6C6__INCLUDED_)
