#include "afxwin.h"
#if !defined(AFX_DFITOPTIONS_H__5456E894_EA21_4B8B_9E4E_F47A6873A974__INCLUDED_)
#define AFX_DFITOPTIONS_H__5456E894_EA21_4B8B_9E4E_F47A6873A974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DFitOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DFitOptions dialog

class DFitOptions : public CDialog
{
// Construction
public:
	DFitOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(DFitOptions)
	enum { IDD = IDD_FITOPTS };
	BOOL	m_LockCircles;
	BOOL	m_LockSpheres;
	double	m_SphereLockVal;
	double	m_CircleLockVal;
	CString	m_Units1;
	CString	m_Units2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DFitOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void CheckSpatRadioStatus();
	// Generated message map functions
	//{{AFX_MSG(DFitOptions)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	BOOL scan_spatial;
	double scan_spatial_inc;
	CString m_Units3;
	CEdit scan_spatial_inc_Edit;
	afx_msg void OnBnClickedRadioTemp();
	afx_msg void OnBnClickedRadioSpat();
	virtual BOOL OnInitDialog();
	double cloudDataInterval;
	double m_proxThresh;
	CString m_Units4;
	int avgPointSamples;
	int lineMeasType;
	BOOL autoIncCloudName;
	CButton scanner_settings_button;
	afx_msg void OnBnClickedButtonScannerSettings();
	int thinningFactor;
	double proxWorkingField;
	CString units5;
	int startUpMeasMode;
	BOOL startUpInMeasMode;
	CComboBox startUpMeasModeCombo;
	afx_msg void OnBnClickedCheckStartupInMeasMode();
	afx_msg void OnBnClickedButtonSetGeomTriggers();
	BOOL UseScannerForAutoProxMeas;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DFITOPTIONS_H__5456E894_EA21_4B8B_9E4E_F47A6873A974__INCLUDED_)
