#if !defined(AFX_DFRAMEMEAS_H__A1820DB7_87F8_496F_A758_082D98175AF4__INCLUDED_)
#define AFX_DFRAMEMEAS_H__A1820DB7_87F8_496F_A758_082D98175AF4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DFrameMeas.h : header file
//

#include "DGenMeas.h"

/////////////////////////////////////////////////////////////////////////////
// DFrameMeas dialog

class DFrameMeas : public DGenMeas
{
// Construction
public:
	DFrameMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL ProcessNewData(int inc);
	virtual void ProcessUpdate();
	virtual BOOL Init();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

// Dialog Data
	//{{AFX_DATA(DFrameMeas)
	enum { IDD = IDD_DIALOG_FRAMEMEAS };
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CString	name;
	CString	CurrentText;
	CString	LastText;
	CString	SampleText;
	CString	TipText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DFrameMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DFrameMeas)
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DFRAMEMEAS_H__A1820DB7_87F8_496F_A758_082D98175AF4__INCLUDED_)
