#if !defined(AFX_DGUIDEMEAS_H__96EAD250_E141_4C45_ADE1_4B7FB55283B1__INCLUDED_)
#define AFX_DGUIDEMEAS_H__96EAD250_E141_4C45_ADE1_4B7FB55283B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DGuideMeas.h : header file
//
#include "DGenMeas.h"
#include "afxwin.h"


/////////////////////////////////////////////////////////////////////////////
// DGuideMeas dialog

class DGuideMeas : public DGenMeas
{
// Construction
public:
	DGuideMeas(CWnd* pParent = NULL);   // standard constructor

	SAIPMeasGroup MeasGroup;
	int index;
	BOOL updateXYZ;
	Vector currXYZ;

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

	void ProcessUpdate();
//	virtual void ProcessAccept();
//	virtual void ProcessNewData();
//	virtual void ProcessCancel();
	//virtual void ButtonHit(int Mode,int BDuration); 

	void UpdateFields();
	CString DeltaText;
	CString DelMagText;
	int DelayCount;
	
// Dialog Data
	//{{AFX_DATA(DGuideMeas)
	enum { IDD = IDD_GUIDEMEAS };
	CButton	m_AcceptCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DGuideMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DGuideMeas)
	afx_msg void OnDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedOk();
	CForceFitStatic grouptarg;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DGUIDEMEAS_H__96EAD250_E141_4C45_ADE1_4B7FB55283B1__INCLUDED_)
