#if !defined(AFX_DLINEMEAS_H__645833D2_5494_4686_81A1_E3DD45A1EAC6__INCLUDED_)
#define AFX_DLINEMEAS_H__645833D2_5494_4686_81A1_E3DD45A1EAC6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DLineMeas.h : header file
//

#include "DGenMeas.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// DLineMeas dialog

class DLineMeas : public DGenMeas
{
// Construction
public:
	DLineMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();

	BOOL UpdateLine();
	void UpdateDialog();
	Vector P1,P2;
	CString SampleText;
	CString TipText;
	CString P1Text;
	CString P2Text;
	CString DeltaText;
	CString MagText;

	// simulation mode
	virtual BOOL MakeFakeData(int step);

// Dialog Data
	//{{AFX_DATA(DLineMeas)
	enum { IDD = IDD_LINEMEAS };
	CEdit	TargCtrl;
	CEdit	GroupCtrl;
	CStatic	Tip;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CButton	OKButton;
	CString	Group;
	CString	Target;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DLineMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DLineMeas)
	virtual void OnOK();
	afx_msg void OnDefault();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnButtonOnelong();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	CStatic samples_ctrl;
	CStatic maxerr_ctrl;
	CStatic rmserr_ctrl;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLINEMEAS_H__645833D2_5494_4686_81A1_E3DD45A1EAC6__INCLUDED_)
