#include "afxwin.h"
#if !defined(AFX_DOPTIONS_H__0F6AB941_1EC8_11D1_A938_00C0D10957C1__INCLUDED_)
#define AFX_DOPTIONS_H__0F6AB941_1EC8_11D1_A938_00C0D10957C1__INCLUDED_

#define PROBEUPDATETIMER	WM_USER + 10

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DOptions dialog

class DOptions : public CDialog
{
// Construction
public:
	DOptions(CWnd* pParent = NULL);   // standard constructor
	CDialog* pDlg;
// Dialog Data
	//{{AFX_DATA(DOptions)
	enum { IDD = IDD_OPTIONS };
	CButton	FaroAux_Check;
	CButton	jtjog_button;
	CStatic	probeDiaLabel;
	CStatic	probeDiaUnits;
	CStatic	ButThreeCtrlLabel;
	CEdit	probeDiaEdit;
	CStatic	probeNumLabel;
	CButton	AutoDetectCheck;
	CStatic	patchshiftunitCtrl;
	CStatic	intervalunitCtrl;
	CButton	m_Apply;
	CEdit	m_ProbeNumCtl;
	double	m_Interval;
	double	m_ExtraPatchShift;
	int		m_ButOne;
	int		m_ButTwo;
	int		m_ButThree;
	int		m_TNSN;
	CString	m_IntervalUnits;
	CString	m_PatchShiftUnits;
	UINT	m_ProbeNum;
	BOOL	m_AutoDetectProbe;
	BOOL	m_AddExtraPatchShift;
	BOOL	m_FirePointsToo;
	CComboBox	m_ButThreeCtrl;
	int		distunits;
	BOOL	updateSA;
	double	probeDia;
	CString	probeDiaUnitsVal;
	double	measfreq;
	double	updatefreq;
	double updatethreshold;
	BOOL	SendGeom;
	BOOL	FaroAuxOn;
	BOOL autoCorrectModel;
	BOOL sendAllPtsAsCloudPts;
	BOOL UseScanStripeClouds;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
void SetProbeDiaText(); 

	// Generated message map functions
	//{{AFX_MSG(DOptions)
	virtual BOOL OnInitDialog();
	afx_msg void OnApply();
	afx_msg void OnSpeech();
	afx_msg void OnFitOpts();
	afx_msg void OnSelchangeUnitsCombo();
	afx_msg void OnCheckAutoDetect();
	afx_msg void OnDefault();
	afx_msg void OnJogJts();
	afx_msg void OnUserNotes();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	int ptnameinc;
	afx_msg void OnBnClickedOk();
	BOOL incrementgroup;
	afx_msg void OnBnClickedArmSettingsButton();
	CButton arm_settings_btn;
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedChangeLanguage();
	CButton artic_drive_buton;
	afx_msg void OnBnClickedArticulatorDrive();
	CButton artic_jt_drive_buton;
	afx_msg void OnBnClickedArmJtDrive();
	afx_msg void OnBnClickedResetModelinfoButton();
	CStatic ButOneCtrlLabel;
	CStatic ButTwoCtrlLabel;
	CComboBox m_ButOneCtrl;
	CButton probeCalSetButton;
	afx_msg void OnBnClickedProbeCalSet();
	afx_msg void OnBnClickedButtonUdpDataStream();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
private:
	bool haveC;
	bool haveo;
	bool haven;
	bool havet;
	bool haver;
	bool haveo2;
	bool havel;
	bool haveP;
	bool havea;
	bool haved;
public:
	CStatic EasyPadInstructions;
	afx_msg void OnBnClickedButtonKreonDongleLicense();
	CButton KreonDongleLicenseButton;
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CEdit shankDiaEdit;
	CStatic shankDiaUnits;
	double shankDia;
	BOOL useShankForAutoProx;
	CString shankDiaUnitsVal;
	CButton voxelButton;
	afx_msg void OnBnClickedSendScanStripeCloudsCheck();
	afx_msg void OnBnClickedButtonVoxelSettings();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DOPTIONS_H__0F6AB941_1EC8_11D1_A938_00C0D10957C1__INCLUDED_)
