#if !defined(AFX_DPATCHMEAS_H__4CF92383_5768_11D3_B76B_00E0980086AB__INCLUDED_)
#define AFX_DPATCHMEAS_H__4CF92383_5768_11D3_B76B_00E0980086AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DPatchMeas.h : header file
//

#include "DGenMeas.h"
#include "PlaneObj.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// DPatchMeas dialog

class DPatchMeas : public DGenMeas
{
// Construction
public:
	DPatchMeas(CWnd* pParent = NULL);   // standard constructor

	PlaneObj Plane;
	
	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();
	bool CheckForDS_Plane();
	BOOL ProcessPoint();
	void UpdateFields();

	// simulation mode
	virtual BOOL MakeFakeData(int step);
	
// Dialog Data
	//{{AFX_DATA(DPatchMeas)
	enum { IDD = IDD_PATCHMEAS };
	CStatic	Shift;
	CStatic	Psamples;
	CEdit	TargCtrl;
	CEdit	GroupCtrl;
	CStatic	Tip;
	CButton	OKButton;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CString	Group;
	CString	Target;
	CString	ShiftText;
	//}}AFX_DATA
	CString PPointText;
	CString PSampleText;
	CString TipText;
	Vector PPOnPlane;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DPatchMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DPatchMeas)
	afx_msg void OnDefault();
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CStatic eval_message;
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	CStatic planeLabel;
	afx_msg void OnBnClickedButtonPatchSelectPlane();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DPATCHMEAS_H__4CF92383_5768_11D3_B76B_00E0980086AB__INCLUDED_)
