// DPipeProbeMeas.cpp : implementation file
//

#include "stdafx.h"
#include "DPCMM.h"
#include "DPipeProbeMeas.h"
#include ".\dpipeprobemeas.h"


// DPipeProbeMeas dialog

IMPLEMENT_DYNAMIC(DPipeProbeMeas, CDialog)
DPipeProbeMeas::DPipeProbeMeas(CWnd* pParent /*=NULL*/)
	: CDialog(DPipeProbeMeas::IDD, pParent)
{
}

DPipeProbeMeas::~DPipeProbeMeas()
{
}

void DPipeProbeMeas::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_TIP, probeText);
}

BEGIN_MESSAGE_MAP(DPipeProbeMeas, CDialog)
	ON_BN_CLICKED(IDC_BUTTON_ONESHORT, OnBnClickedButtonOneshort)
	ON_BN_CLICKED(IDC_BUTTON_ONELONG, OnBnClickedButtonOnelong)
	ON_BN_CLICKED(IDC_BUTTON_TWOSHORT, OnBnClickedButtonTwoshort)
	ON_BN_CLICKED(IDC_BUTTON_TWOLONG, OnBnClickedButtonTwolong)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDC_DEFAULT, OnBnClickedDefault)
	ON_WM_CLOSE()
	ON_WM_SHOWWINDOW()
	ON_WM_DESTROY()
END_MESSAGE_MAP()


// DPipeProbeMeas message handlers

void DPipeProbeMeas::OnBnClickedButtonOneshort()
{
	//SetB1Short();
}
void DPipeProbeMeas::OnBnClickedButtonOnelong()
{
	//SetB1Long();
}

void DPipeProbeMeas::OnBnClickedButtonTwoshort()
{
	//SetB2Short();
}

void DPipeProbeMeas::OnBnClickedButtonTwolong()
{
	//SetB2Long();
}

void DPipeProbeMeas::OnBnClickedOk()
{
	app.pA->StopPipeProbe();
	CDialog::OnOK();
}

void DPipeProbeMeas::OnBnClickedDefault()
{
	// TODO: Add your control notification handler code here
}

void DPipeProbeMeas::OnClose()
{
	app.pA->StopPipeProbe();

	CDialog::OnClose();
}

void DPipeProbeMeas::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CDialog::OnShowWindow(bShow, nStatus);

	if (bShow)
		PersistentWnd::RestoreWndRect(_T("windows"),_T("SA_Arms_DPipeMeas"),this);	
}

void DPipeProbeMeas::OnDestroy()
{
	PersistentWnd::SaveWndRect(_T("windows"),_T("SA_Arms_DPipeMeas"),this);

	CDialog::OnDestroy();
}

BOOL DPipeProbeMeas::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(AfxGetApp()->LoadIcon(IDR_MAINFRAME), FALSE);
	TRANSLATE_DIALOG;
	if(!app.pA->ConnectedToArm)
	{
		AfxMessageBox(Tr("No Simulation for Pipe Probe."), MB_ICONEXCLAMATION);
		return FALSE;
	}
	//OKButton.EnableWindow(FALSE);
	CString probeStr;
	probeStr.Format(_T("Probe Width: %f %s"), 
		app.saarm.Data.TipDia/(app.saarm.units.UnitToMeters[app.saarm.units.distunits]),
		app.saarm.units.DistUnitNames[app.saarm.units.distunits]);
	probeText.SetWindowText(probeStr);

	app.pA->StartPipeProbe();

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
