#if !defined(AFX_DPLANEMEAS_H__0BFFD2EF_BE7A_43C3_AF05_27B726C1EF7C__INCLUDED_)
#define AFX_DPLANEMEAS_H__0BFFD2EF_BE7A_43C3_AF05_27B726C1EF7C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DPlaneMeas.h : header file
//

#include "DGenMeas.h"
#include "PlaneObj.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// DPlaneMeas dialog

class DPlaneMeas : public DGenMeas
{
// Construction
public:
	CString ObName;
	DPlaneMeas(CWnd* pParent = NULL);   // standard constructor

	PlaneObj Plane;

	virtual BOOL ProcessNewData(int inc);
	bool CheckForDS_Plane();
	virtual BOOL Init();
	virtual void SetGTNames();
	virtual void ProcessAccept();
	void PresentComparisonResults();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

	// inspection info
	Transform NominalTrans;
	Transform ActualTrans;
	BOOL Inspect;

// Dialog Data
	//{{AFX_DATA(DPlaneMeas)
	enum { IDD = IDD_DIALOG_PLANEMEAS };
	CStatic	Shift;
	CStatic	Tip;
	CButton	OKButton;
	CEdit	TargCtrl;
	CEdit	GroupCtrl;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CString	sampleinfo;
	CString	Target;
	CString	Group;
	CString	TipText;
	CString	ShiftText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DPlaneMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DPlaneMeas)
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnDefault();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CStatic eval_message;
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	CStatic planeLabel;
private:
	bool usingDS_Plane;
public:
	afx_msg void OnBnClickedButtonPlaneSelectPlane();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DPLANEMEAS_H__0BFFD2EF_BE7A_43C3_AF05_27B726C1EF7C__INCLUDED_)
