#if !defined(AFX_DPOINTMEAS_H__68E65CC3_FE71_43C4_9E65_7E4AC800F6DB__INCLUDED_)
#define AFX_DPOINTMEAS_H__68E65CC3_FE71_43C4_9E65_7E4AC800F6DB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DPointMeas.h : header file
//
#include "Resource.h"
#include "DGenMeas.h"
#include "afxwin.h"
#include "PictureButtons\\GroupInc.h"
#include "PictureButtons\\TargInc.h"

/////////////////////////////////////////////////////////////////////////////
// DPointMeas dialog

class DPointMeas : public DGenMeas
{
// Construction
public:
	DPointMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL Init();
	virtual void SetGTNames();
	virtual BOOL ProcessNewData(int inc);
	void UpdateFields();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

	CString CXText;
	CString CYText;
	CString CZText;
	CString LXText;
	CString LYText;
	CString LZText;

// Dialog Data
	//{{AFX_DATA(DPointMeas)
	enum { IDD = IDD_DIALOG_POINTMEAS };
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1long_button;
	CButton	B1short_button;
	CString	Group;
	CString	Target;
	CString	tip;
	CString	sampleinfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DPointMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DPointMeas)
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	GroupInc groupInc;
	TargInc targInc;
	afx_msg void OnBnClickedIncg();
	afx_msg void OnBnClickedInct();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DPOINTMEAS_H__68E65CC3_FE71_43C4_9E65_7E4AC800F6DB__INCLUDED_)
