#pragma once
#include "afxwin.h"


// DSAReq_SinglePtMeas dialog

#pragma once

#include "Resource.h"
#include "DGenMeas.h"

class DSAReq_SinglePtMeas : public DGenMeas
{
public:
	DSAReq_SinglePtMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL Init();
	virtual BOOL ProcessNewData(int inc);
	void UpdateFields();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

	CString CXText;
	CString CYText;
	CString CZText;

// Dialog Data
	enum { IDD = IDD_DIALOG_SAIP_POINTMEAS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CButton B1short_button;
	CButton B1long_button;
	CButton B2short_button;
	CButton B2long_button;
	CString tip;
	afx_msg void OnBnClickedDefault();
	afx_msg void OnBnClickedButtonOneshort();
	afx_msg void OnBnClickedButtonOnelong();
	afx_msg void OnBnClickedButtonTwoshort();
	afx_msg void OnBnClickedButtonTwolong();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
};
