#if !defined(AFX_DSECTIONMEAS_H__C2A2AF13_59BF_11D3_B776_00E0980086AB__INCLUDED_)
#define AFX_DSECTIONMEAS_H__C2A2AF13_59BF_11D3_B776_00E0980086AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DSectionMeas.h : header file
//
#include "DGenMeas.h"

/////////////////////////////////////////////////////////////////////////////
// DSectionMeas dialog

class DSectionMeas : public DGenMeas
{
// Construction
public:
	DSectionMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
//	virtual void SetGTNames();
	virtual void ProcessAccept();
	void UpdateFields();

	// 2001.11.19
	virtual void SetStreamIndicator(BOOL strm);

//	virtual void ProcessUpdate();
//	virtual void ButtonHit(int Mode,BOOL Repeat); 
//	virtual void ProcessButtonHit(int Button, int Duration);
//	virtual BOOL CheckButton(int but);
	int LastButtonHit;

	CString CXText;
	CString CYText;
	CString CZText;
	CString LXText;
	CString LYText;
	CString LZText;

	BOOL PlaneCross(Vector& P1,Vector& P2,double& Val,int XYorZ, Vector* Result, CString& groupSuffix);

	// simulation mode
	virtual BOOL MakeFakeData(int step);
	
	int RadioXYZ;
	double Val;
	BOOL First;
	
	Vector LastPointWork;
// Dialog Data
	//{{AFX_DATA(DSectionMeas)
	enum { IDD = IDD_SECTIONMEAS };
	NewColorStatic	StreamIndicator;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1short_button;
	CButton	B1long_button;
	CString	m_SampleText;
	CString	tip;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DSectionMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DSectionMeas)
	virtual void OnOK();
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSECTIONMEAS_H__C2A2AF13_59BF_11D3_B776_00E0980086AB__INCLUDED_)
