#pragma once
#include "afxwin.h"
#include "resource.h"
#include "afxcmn.h"

#define INIT_TIMER WM_USER + 6

// DSelectCalibration dialog

class DSelectCalibration : public CDialog
{
	DECLARE_DYNAMIC(DSelectCalibration)

public:
	DSelectCalibration(CWnd* pParent = NULL);   // standard constructor
	virtual ~DSelectCalibration();

// Dialog Data
	enum { IDD = IDD_SELECT_CALIBRATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	FancyList list;
	DWORD_PTR selectedCal;
	CStringArray cals;
	void SetCals(const CStringArray& inputCals);
	void SetSelection(DWORD_PTR sel);
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
protected:
	virtual void OnOK();
public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
