// DSettingsFaroSerial.cpp : implementation file
//

#include "stdafx.h"
#include "DPCMM.h"
#include "DSettingsFaroSerial.h"
#include ".\dsettingsfaroserial.h"

// DSettingsFaroSerial dialog

IMPLEMENT_DYNAMIC(DSettingsFaroSerial, CDialog)
DSettingsFaroSerial::DSettingsFaroSerial()
: mouseModeOn(FALSE)
, sliderSetting(0)
, backButtonCentersMouse(TRUE)
{
}

DSettingsFaroSerial::~DSettingsFaroSerial()
{
}

void DSettingsFaroSerial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_CHECK_MOUSE_MODE, mouseModeOn);
	DDX_Control(pDX, IDC_SLIDER_MOUSE_SPEED, mouseSpeedSlider);
	DDX_Control(pDX, IDC_CHECK_BACK_BUTTON_CENTERS_MOUSE, backButtonCentersMouseCheck);
	DDX_Slider(pDX, IDC_SLIDER_MOUSE_SPEED, sliderSetting);
	DDX_Check(pDX, IDC_CHECK_BACK_BUTTON_CENTERS_MOUSE, backButtonCentersMouse);
}


BEGIN_MESSAGE_MAP(DSettingsFaroSerial, CDialog)
	ON_BN_CLICKED(IDC_CHECK_MOUSE_MODE, OnBnClickedCheckMouseMode)
END_MESSAGE_MAP()


// DSettingsFaroSerial message handlers

void DSettingsFaroSerial::OnBnClickedCheckMouseMode()
{
	UpdateData();
	if(mouseModeOn)
	{
		mouseSpeedSlider.EnableWindow();
		backButtonCentersMouseCheck.EnableWindow();
	}
	else
	{
		mouseSpeedSlider.EnableWindow(FALSE);
		backButtonCentersMouseCheck.EnableWindow(FALSE);
	}
}

BOOL DSettingsFaroSerial::OnInitDialog()
{
	CDialog::OnInitDialog();

	mouseSpeedSlider.SetRange(100,2000);
	UpdateData(FALSE);	// several values set by parent arm class
	OnBnClickedCheckMouseMode();

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
