#if !defined(AFX_DSTREAMPTS_H__C1171449_9790_476B_9D3C_9EA0E6E431D5__INCLUDED_)
#define AFX_DSTREAMPTS_H__C1171449_9790_476B_9D3C_9EA0E6E431D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DStreamPts.h : header file
//
#include "Resource.h"
#include "DGenMeas.h"
#include "afxwin.h"
#include "PictureButtons\\GroupInc.h"
#include "PictureButtons\\TargInc.h"

/////////////////////////////////////////////////////////////////////////////
// DStreamPts dialog

class DStreamPts : public DGenMeas
{
// Construction
public:
	DStreamPts(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL Init();
	virtual void SetGTNames();
	virtual BOOL ProcessNewData(int inc);
	virtual void SendRemainingData();
	void UpdateFields();
	virtual void ProcessAccept();

	// simulation mode
	virtual BOOL MakeFakeData(int step);

	// 2001.11.19
	virtual void SetStreamIndicator(BOOL strm);

	CString CXText;
	CString CYText;
	CString CZText;
	CString LXText;
	CString LYText;
	CString LZText;

// Dialog Data
	//{{AFX_DATA(DStreamPts)
	enum { IDD = IDD_DIALOG_STREAMPTS };
	NewColorStatic	StreamIndicator;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1long_button;
	CButton	B1short_button;
	CString	Group;
	CString	Target;
	CString	tip;
	CString	sampleinfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DStreamPts)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	Vector LastPos;
	BOOL fstpt;
	
	// Generated message map functions
	//{{AFX_MSG(DStreamPts)
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	afx_msg void OnDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	TargInc targInc;
	afx_msg void OnBnClickedInct();
	GroupInc groupInc;
	afx_msg void OnBnClickedIncg();

private:
	DWORD measStart;
	DWORD maxBufferAge;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSTREAMPTS_H__C1171449_9790_476B_9D3C_9EA0E6E431D5__INCLUDED_)
