// DTextViewer.cpp : implementation file
//

#include "stdafx.h"
#include "DPCMM.h"
#include "DTextViewer.h"
#include "textfile.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DTextViewer dialog


DTextViewer::DTextViewer(CWnd* pParent /*=NULL*/)
	: CDialog(DTextViewer::IDD, pParent)
{
	//{{AFX_DATA_INIT(DTextViewer)
	m_header = _T("");
	//}}AFX_DATA_INIT
	title = _T("Usage");
}


void DTextViewer::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DTextViewer)
	DDX_Control(pDX, IDC_LIST1, m_list);
	DDX_Text(pDX, IDC_STATICHEADER, m_header);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DTextViewer, CDialog)
	//{{AFX_MSG_MAP(DTextViewer)
	//}}AFX_MSG_MAP
	ON_WM_SHOWWINDOW()
	ON_WM_DESTROY()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DTextViewer message handlers

BOOL DTextViewer::OnInitDialog() 
{
	CDialog::OnInitDialog();

	SetIcon(AfxGetApp()->LoadIcon(IDR_MAINFRAME), FALSE);
	
	TextFile f;		//cstdiofile
	if (!f.Open( filename, CFile::modeRead ))
	{
		AfxMessageBox(_T("Could not open text file!"));
		return FALSE;
	}
	CString temp;
	while (f.ReadString(temp))
		m_list.AddString( temp );

	f.Close();

	m_list.SetHorizontalExtent( 500 );

	SetWindowText(title);

	TRANSLATE_DIALOG;
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DTextViewer::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CDialog::OnShowWindow(bShow, nStatus);

	if (bShow)
		PersistentWnd::RestoreWndRect(_T("windows"),_T("SA_Arms_DTextViewer"),this);	
}

void DTextViewer::OnDestroy()
{
	PersistentWnd::SaveWndRect(_T("windows"),_T("SA_Arms_DTextViewer"),this);

	CDialog::OnDestroy();
}