#if !defined(AFX_DTHEOMEAS_H__3CD09D13_94C1_11D3_B79D_00E0980086AB__INCLUDED_)
#define AFX_DTHEOMEAS_H__3CD09D13_94C1_11D3_B79D_00E0980086AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DTheoMeas.h : header file
//
#include "DGenMeas.h"


/////////////////////////////////////////////////////////////////////////////
// DTheoMeas dialog

class DTheoMeas : public DGenMeas
{
// Construction
public:
	DTheoMeas(CWnd* pParent = NULL);   // standard constructor

	virtual BOOL ProcessNewData(int inc);
	virtual BOOL Init();
//	virtual void SetGTNames();
	virtual void ProcessAccept();

//	virtual void ProcessUpdate();
//	virtual void ProcessAccept();
//	virtual void ProcessCancel();
//	virtual void ButtonHit(int Mode,BOOL Repeat); 
//	virtual void ProcessButtonHit(int Button, int Duration);
//	virtual BOOL CheckButton(int but);
	int LastButtonHit;
	int Line;
	
	BOOL PlaneCross(Vector& P1,Vector& P2,double& Val,int XYorZ, Vector* Result);
	BOOL LineFit(Vector* Begin,Vector* End, double* MaxError, double* RMSError);
	BOOL ComputeTheoPoint(Vector* Result);

	// simulation mode
	virtual BOOL MakeFakeData(int step);
	
	int RadioXYZ;
	double Val;
	BOOL First;
	
	Vector LastPointWork;
	void UpdateFields();
	Vector A1,B1,A2,B2;
	double MaxErr,RMSErr;
	CString RefGroup,RefTarget;
// Dialog Data
	//{{AFX_DATA(DTheoMeas)
	enum { IDD = IDD_THEOMEAS };
	CButton	OKButton;
	CButton	B2short_button;
	CButton	B2long_button;
	CButton	B1long_button;
	CButton	B1short_button;
	CString	m_SampleText;
	CString	m_SampleText2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DTheoMeas)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DTheoMeas)
	virtual void OnOK();
	afx_msg void OnButtonOnelong();
	afx_msg void OnButtonOneshort();
	afx_msg void OnButtonTwolong();
	afx_msg void OnButtonTwoshort();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DTHEOMEAS_H__3CD09D13_94C1_11D3_B79D_00E0980086AB__INCLUDED_)
