#include "stdafx.h"
#include "ProbeData.h"

CProbeData::CProbeData(void)
{
	ClearProbe();
}

CProbeData::~CProbeData(void)
{
	ClearProbe();
}

void CProbeData::MakeASampleHardProbe()
{
	ClearProbe();
	m_strName = _NOT("6mm Ball Probe");
	m_dDiameter = 6.0;
}

void CProbeData::MakeASampleTouchProbe()
{
	ClearProbe();
	m_strName = _NOT("6mm Touch Probe");
	m_dDiameter = 6.0;
	m_bHandleAuxSwitch = TRUE;	
}

void CProbeData::MakeASampleLaserProbe()
{
	ClearProbe();
	m_strName = _NOT("Laser Probe");
	m_dDiameter = 0.0;
	m_bLaserScanner = TRUE;	
}

void CProbeData::ClearProbe()
{
	m_strName = _NOT("");
	m_Offset[0]=0.0;
	m_Offset[1]=0.0;
	m_Offset[2]=0.0;
	m_ABC[0]=0.0;
	m_ABC[1]=0.0;
	m_ABC[2]=0.0;
	m_dDiameter = 0.0;
	m_dMaxError = 0.0;
	m_d2Sigma = 0.0;
	m_dTemperature = 20.0;
	m_dExpansionCoef = 0.000011;
	m_bHandleAuxSwitch = FALSE;
	m_bBaseAuxSwitch = FALSE;
	m_bLaserScanner = FALSE;		
	m_lHandleDebounceTime = 500L;
	m_lBaseDebounceTime = 500L;
	m_lCalibrationDate = 0L;
	m_nScanExposure = 16;
	m_nScanNoiseThreshold = 15;
	m_nScanPeakThreshold = 50;
	m_nScanWidthThreshold = 2;
	m_nScanLaserOn = 0;
	m_nScanFrameMode = 0;
	m_strScanAlgorithm = _NOT("");
	m_strScanDensity = _NOT("");
	m_strScanRate = _NOT("");
}
