#pragma once
#include "afx.h"

#define _NOT(s) _T(s)

class CProbeData :
	public CObject
{
public:
	CProbeData(void);
	virtual ~CProbeData(void);

	void ClearProbe();
	void MakeASampleTouchProbe();
	void MakeASampleLaserProbe();
	void MakeASampleHardProbe();

	CString			m_strName;

	double			m_Offset[3];
	double			m_ABC[3];

	double			m_dDiameter;
	double			m_dMaxError;
	double			m_d2Sigma;
	double			m_dTemperature;
	double			m_dExpansionCoef;

	BOOL			m_bHandleAuxSwitch;
	BOOL			m_bBaseAuxSwitch;

	LONG			m_lHandleDebounceTime;
	LONG			m_lBaseDebounceTime;
	LONG			m_lCalibrationDate;

	// values added for laser line scanner
	BOOL			m_bLaserScanner;
	CString			m_strScanDensity;
	CString			m_strScanRate;
	CString			m_strScanAlgorithm;
	int				m_nScanExposure;
	int				m_nScanNoiseThreshold;
	int				m_nScanPeakThreshold;
	int				m_nScanWidthThreshold;
	int				m_nScanFrameMode;
	long			m_nScanLaserOn;
};
