// BallFitMatrix.cpp: implementation of the BallFitMatrix class.
//
//////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "fitball.h"
#include "BallFitMatrix.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

BallFitMatrix::BallFitMatrix()
{
	pObj = NULL;
	VaryRad = TRUE;
	Title = "Computing Best-Fit Sphere...";
}

BallFitMatrix::~BallFitMatrix()
{

}

void BallFitMatrix::Evaluate(double *r)
{
	FitBall& b = *((FitBall*)pObj);
	
	b.Center = Vector( x[0],x[1],x[2] );
	if (VaryRad)
		b.Radius = x[3];

	b.EvaluateVec( r );
}
