// FitCircleMatrix.cpp: implementation of the FitCircleMatrix class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "fitcircle.h"  //////////////
#include "FitCircleMatrix.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

FitCircleMatrix::FitCircleMatrix()
{
	pObj = NULL;
	VaryRad = TRUE;
	Title = "Computing Best-Fit Circle...";
}

FitCircleMatrix::~FitCircleMatrix()
{

}
void FitCircleMatrix::Evaluate(double *r)
{
	FitCircle& b = *((FitCircle*)pObj);
	
	b.Center = Vector( x[0],x[1],x[2] );
	int index = 3;
	if (VaryRad)
		b.Radius = x[index++];
	b.Theta = x[index++];
	b.Phi = x[index++];

	b.EvaluateVec( r );
}
