// FitLineMatrix.cpp: implementation of the FitLineMatrix class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "FitLineMatrix.h"
#include "fitline.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

FitLineMatrix::FitLineMatrix()
{
	pObj = NULL;
	Title = "Computing Best-Fit Line...";

}

FitLineMatrix::~FitLineMatrix()
{

}
void FitLineMatrix::Evaluate(double *r)
{
	FitLine& b = *((FitLine*)pObj);

	Transform::ConvertThetaPhiXYToBeginNormal(x[2],x[3],x[0],x[1],&b.Begin,&b.Normal);

	b.Evaluate( r );

}
