#include <math.h>

class VDCPosition
{
private:
	long EncCnts[3];
	int NumCalPose, NumCalCalcPnts;
	double EncOS[3], dTheta[3], Theta[3], CartPos[3];
	double a[2][3], alpha[2][3], S[3], Ptool3[3], EncConst[3];
	double HomePos[3];
	double InterTargDist[2][3], CalibFuncMin, CalibdThetaMat[20][3][3];
	
public:
	void VDCZeroValue(void);
	void VDCLoadKP(char *filename);
	void VDCLoadCnts(char *szMessage, char *Enc1CntsTxt, char *Enc2CntsTxt, char *Enc3CntsTxt);
	void VDCLoadOS(char *Enc1OSTxt,char *Enc2OSTxt,char *Enc3OSTxt);
	void VDCDispOS(char *Enc1OSTxt,char *Enc2OSTxt,char *Enc3OSTxt);
	void VDCCalcAng(char *Theta1Txt, char *Theta2Txt, char *Theta3Txt);
	void VDCCalcPos(char *XTxt, char *YTxt, char *ZTxt);
	void VDCCalibRecAng(int PoseNum, int TargNum);
	int VDCGetNumCalPose(void);
	void VDCGetPos(double Joint1, double Joint2, double Joint3, double X, double Y, double Z);

};
