// Kreon\DKreonScannerOptions.cpp : implementation file
//

#include "stdafx.h"
#include "../DPCMM.h"
#include "DKreonScannerOptions.h"
#include "../KreonScannerArm.h"

// DKreonScannerOptions dialog

IMPLEMENT_DYNAMIC(DKreonScannerOptions, CDialog)

DKreonScannerOptions::DKreonScannerOptions(KreonScannerArm& _parent)
: parent(_parent)
{

}

DKreonScannerOptions::~DKreonScannerOptions()
{
}

void DKreonScannerOptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(DKreonScannerOptions, CDialog)
	ON_BN_CLICKED(IDC_KREON_SCANNER_PROPERTIES, &DKreonScannerOptions::OnBnClickedKreonScannerProperties)
	ON_BN_CLICKED(IDC_KREON_VIDEO_SETUP, &DKreonScannerOptions::OnBnClickedKreonVideoSetup)
END_MESSAGE_MAP()


// DKreonScannerOptions message handlers

void DKreonScannerOptions::OnBnClickedKreonScannerProperties()
{
	parent.ScannerProperties();
}

void DKreonScannerOptions::OnBnClickedKreonVideoSetup()
{
	parent.VideoSetup();
}

BOOL DKreonScannerOptions::OnInitDialog()
{
	CDialog::OnInitDialog();

	//if(app.saarm.units.toolBarModeOn)
	::SetWindowPos(m_hWnd,HWND_TOPMOST,300,300,50,50,SWP_NOSIZE + SWP_NOMOVE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
