#pragma once
#include "afx.h"
#include "KreonDefines.h"

#define KR_TOUCH_PROBE_NUMPROBES 10

class KreonProbeCalibrations :
	public CObject
{
public:
	KreonProbeCalibrations(void);
	virtual ~KreonProbeCalibrations(void);

	UINT count;
	KR_TOUCH_PROBE probe[KR_TOUCH_PROBE_NUMPROBES];
	DWORD_PTR selectedScannerCal;  // index from the list in DSelectCalibration

	int AddProbe(KR_TOUCH_PROBE& newProbe);

	virtual void Serialize(CArchive& ar);	
protected:
	DECLARE_SERIAL( KreonProbeCalibrations );
};
