// RemoteMessage.h: interface for the CRemoteMessage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REMOTEMESSAGE_H__3D2110EA_0440_42C2_8540_13DA716E1C2D__INCLUDED_)
#define AFX_REMOTEMESSAGE_H__3D2110EA_0440_42C2_8540_13DA716E1C2D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRemoteMessage : public CObject  
{
public:
	CRemoteMessage();
	virtual ~CRemoteMessage();

	// remote message types
	enum {
		RMT_UNDEFINED = 0,	// no message type defined
		RMT_UI,				// a User Interface message
		RMT_UIC,			// a User Interface command message
		RMT_UIREPLY,		// a reply to a User Interface message
		RMT_BLOB,			// a Binary Large OBject message
		RMT_STATUS			// a status message
	};

	int	m_nRemoteMessageType;
	UINT m_nHandle;

	virtual void Serialize(CArchive& ar);	

protected:
	DECLARE_SERIAL( CRemoteMessage );
};

#endif // !defined(AFX_REMOTEMESSAGE_H__3D2110EA_0440_42C2_8540_13DA716E1C2D__INCLUDED_)
