// UIMessage.cpp: implementation of the CUIMessage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "UIMessage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CUIMessage::CUIMessage()
{
	m_nRemoteMessageType = CRemoteMessage::RMT_UI;
}

CUIMessage::~CUIMessage()
{

}

void CUIMessage::Serialize(CArchive& ar)
{
	CRemoteMessage::Serialize( ar );

	if (ar.IsStoring())
	{ 
		ar << m_nControlID;
		ar << m_nControlType;
		ar << m_nStyle;
		ar << m_nUIMessageType;
		ar << m_strCaption;
		ar << m_wndRect;
	}
	else
	{
		ar >> m_nControlID;
		ar >> m_nControlType;
		ar >> m_nStyle;
		ar >> m_nUIMessageType;
		ar >> m_strCaption;
		ar >> m_wndRect;
	}
} 
IMPLEMENT_SERIAL( CUIMessage, CRemoteMessage, 0 );
