// UIReplyMessage.cpp: implementation of the CUIReplyMessage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "UIReplyMessage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CUIReplyMessage::CUIReplyMessage()
{
	m_nRemoteMessageType = CRemoteMessage::RMT_UIREPLY;
}

CUIReplyMessage::~CUIReplyMessage()
{

}

void CUIReplyMessage::Serialize(CArchive& ar)
{
	CRemoteMessage::Serialize( ar );

	if (ar.IsStoring())
	{ 
		ar << m_nReplyType;
		ar << m_nReplyInt;
		ar << m_nControlID;
		ar << m_strMessage;
	}
	else
	{
		ar >> m_nReplyType;
		ar >> m_nReplyInt;
		ar >> m_nControlID;
		ar >> m_strMessage;
	}
} 
IMPLEMENT_SERIAL( CUIReplyMessage, CRemoteMessage, 0 );
