// CalButton.cpp: implementation of the CalButton class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "..\\DPCMM.h"
#include "..\\DPCMMDlg.h"
#include "CalButton.h"
#include "..\\DCALCHECK.h"
#include "..\\DCalFaro.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CalButton::CalButton()
{
	Icon = IDI_CALICON;  

}

CalButton::~CalButton()
{

}
BEGIN_MESSAGE_MAP(CalButton, PictureButton)
	//{{AFX_MSG_MAP(CalButton)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	ON_WM_RBUTTONDOWN()  // jmc pb
	ON_WM_LBUTTONDOWN()  // jmc pb
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CalButton message handlers
void CalButton::HandleRButton()  // jmc pb
{
	// override me!
	//AfxMessageBox(" handle r button called... \n"));

}

void CalButton::HandleLButton()  // jmc pb
{
	CDPCMMDlg& d = *((CDPCMMDlg*)app.m_pMainWnd);
	// 2001.11.16 begin, turn arm button beep back on
	if(app.pA->IsFaro())
	{
		d.WriteHead("_S0 1 0100 0700");
		Delay(0.5,TRUE);
	}
	// 2001.11.16 end
	d.StopQueryTimer();
	if( app.pA->IsRomer() )
	{
		DCALCHECK diag;
		diag.DoModal();
	}
	else if( app.pA->IsFaro() )
	{
		d.CloseComm();
		DCalFaro dlg;
		dlg.DoModal();
		Delay(0.25, TRUE);	// 2001.04.20
		if( d.InitComm(FALSE) )
			d.StartQueryTimer(app.saarm.Data.updatetimerperiodsec);
		else
		{
			AfxMessageBox(Tr("Could not re-start serial communications\nwith arm.  You will need to re-start the interface."));
			d.CloseComm();
			PostQuitMessage(0);
		}
	}
	else if(app.pA->IsFaroUSB() || app.pA->IsMetrisGarda() || app.pA->IsAPIBacesAxxis() || app.pA->IsKreonScannerArm() || app.pA->IsHexagonRDS())
		app.pA->DoCal();

	SetState(FALSE);

	if(!app.pA->IsKreonScannerArm() && !app.pA->trackArmActive)
		d.StartQueryTimer(app.saarm.Data.updatetimerperiodsec);
}
