// ArmQuickSock.h: interface for the ArmQuickSock class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ARMQUICKSOCK_H__C98EA555_C9DC_4614_86DA_FC0DA54E342C__INCLUDED_)
#define AFX_ARMQUICKSOCK_H__C98EA555_C9DC_4614_86DA_FC0DA54E342C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "QuickSock.h"
#include "QSReportItem.h"

class ArmQuickSock : public QuickSock 
{
public:
	ArmQuickSock();
	virtual ~ArmQuickSock();

	void Init();

	virtual void ProcessPacket(CObArray* pObjs);  // override this to handle packets!
	void OnQSMeasRequest(QuickHeader* pHead, CObject* pobj);

	BOOL SendFrameToSA(Transform& t, CStringArray& notes);

	BOOL SendReportItem(CString& Title, CString& Type, CStringArray& BodyText);
	BOOL SendReportItem(CString& Title, CString& Type, CString& BodyText);
	BOOL SendReportItem(const char* Title, const char* Type, CStringArray& BodyText);
	BOOL SendReportItem(const char* Title, const char* Type, CString& BodyText);
};

#endif // !defined(AFX_ARMQUICKSOCK_H__C98EA555_C9DC_4614_86DA_FC0DA54E342C__INCLUDED_)
