#pragma once
#include "atltypes.h"

class PadButton :
	public CObject
{
public:
	PadButton(void);
	PadButton(const PadButton& source);
	void operator=(const PadButton& source);
	virtual ~PadButton(void);

	void SetPressHeight(const double& _pressHeight);

	virtual bool CheckForPress(const Vector& xyz, bool& enterButtonZone, bool& exitButtonZone, bool& buttonDown);
	virtual void SetZonesDead();
	void SetUnPressed();

protected:
	double pressHeight;
	bool pressed;
};
