#pragma once
#include "PadButton.h"

class PadRegionRectangular;

class PadButtonRectangular :
	public PadButton
{
public:
	PadButtonRectangular(void);
	PadButtonRectangular(const PadButtonRectangular& source);
	void operator=(const PadButtonRectangular& source);
	virtual ~PadButtonRectangular(void);

	void SetLocationInPad(const Vector& tL, const Vector& bR);

	virtual bool CheckForPress(const Vector& xyz, bool& enterButtonZone, bool& exitButtonZone, bool& buttonDown);
	virtual void SetZonesDead();

private:
	PadRegionRectangular& boundary;
};
