#include "stdafx.h"
#include "PadCalPoint.h"

PadCalPoint::PadCalPoint(void)
{
}

PadCalPoint::PadCalPoint(const Vector& sourceVec, const double& _instPlanarOffset)
{
	Vector::operator =(sourceVec);
	instPlanarOffset = _instPlanarOffset;
}
PadCalPoint::PadCalPoint(const PadCalPoint& source)
{
	operator=(source);
}
void PadCalPoint::operator=(const PadCalPoint& source)
{
	Vector::operator =(source);
	instPlanarOffset = source.instPlanarOffset;
	padLoc.SetPoint(source.padLoc.x, source.padLoc.y);
}

PadCalPoint::~PadCalPoint(void)
{
}

void PadCalPoint::Serialize(CArchive& ar) 
{
	BYTE Schema;
	BYTE LoadSchema = 0;
	Schema = 1;
	if (ar.IsStoring())
	{
		ar << Schema;
		ar << x;
		ar << y;
		ar << z;
		ar << padLoc.x;
		ar << padLoc.y;
		ar << instPlanarOffset;
	}
	else
	{
		ar >> LoadSchema;
		ar >> x;
		ar >> y;
		ar >> z;
		ar >> padLoc.x;
		ar >> padLoc.y;
		ar >> instPlanarOffset;
	}
}
IMPLEMENT_SERIAL( PadCalPoint, Vector, 0 );