// SocketGeometry.h: interface for the SocketGeometry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SOCKETGEOMETRY_H__5BB146B0_519D_11D3_8390_00A0CC398E3A__INCLUDED_)
#define AFX_SOCKETGEOMETRY_H__5BB146B0_519D_11D3_8390_00A0CC398E3A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class SocketGeometry : public CObject  
{
	// this class contains the code needed to socket geometry to SA.
public:
	SocketGeometry();
	virtual ~SocketGeometry();

	// outputs to SA
	BOOL SendLine( Vector& a, Vector& b, BYTE DrawArrow, CString& Name, CStringArray& Notes);
	BOOL SendCircle( Transform& CircleTrans, double Radius, CString& Name, CStringArray& Notes, double Span=360.0f);
	BOOL SendSphere( Vector& Center, double Radius, CString& Name, CStringArray& Notes);
	BOOL SendCylinder( Vector& a, Vector& b, double Diameter, CString& Name, CStringArray& Notes);
	BOOL SendPlane( Transform& PlaneTrans, CObArray& pts, CString& Name, CStringArray& Notes);
	BOOL SendCone( Transform& ConeTrans, double includedAngle, double graphicLength, CString& Name, CStringArray& Notes);
};

#endif // !defined(AFX_SOCKETGEOMETRY_H__5BB146B0_519D_11D3_8390_00A0CC398E3A__INCLUDED_)
